# cancelConnectionCheckInRun

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/teams/{teamId}/runs/{runId}/cancel |

| Field | Value |
|---|---|
| operationId | cancelConnectionCheckInRun |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /teams/{teamId}/runs/{runId}/cancel |
| tags | `Check-ins & Runs` |
| summary | Cancel a connection check-in run |
| badges | `{"name":"Owner"}`, `{"name":"Admin"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| teamId | path | true | string |  |
| runId | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Run cancellation result (idempotent) | #/components/schemas/CancelRunResponseDto |
| 400 | Malformed teamId or runId path parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 403 | Insufficient role privileges (AUTH_INSUFFICIENT_ROLE) | #/components/schemas/ApiErrorResponseDto |
| 404 | Team not found or the caller is not a member | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed (uuid is expected)",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "Insufficient role privileges",
  "error": "AUTH_INSUFFICIENT_ROLE"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Team not found",
  "error": "TEAM_NOT_FOUND"
}
```
